<!--wrapper-wrap start -->
<div class="wrapper-wrap heightAdjust">
    <div class="row">
        <div class="col-sm-12">
        </div>
        <div class="col-sm-10">
            <label class="col-sm-2" style="padding-right: 5px;">Total No Of Members</label>
            <input class="col-sm-1" style="border-bottom: 2px solid #0070c2;text-align: center;" type="number" name="noOfMembers" data-ng-model="memberCount" class=" form-input"></input>
        </div>
        <div class="col-sm-1">
            <button type="button" class="btn btn-info add-row" data-ng-disabled="!memberCount" data-ng-click="getNoOfMembers(memberCount)" data-toggle="modal" data-target="#documentModal">Add Members</button>
        </div>
        <div data-ng-if="finalListOfMembers.length > 0 && flagForTable" class="row">
            <div class="col-sm-12" style="margin-top: 30px;">
                <div class="table-responsive boardTable">
                    <table class="table table-red table-bordered">
                        <thead>
                            <tr>
                                <td width="12.5%">{{'MEM_NAM_AR' | translate}}</td>
                                <td width="12.5%">{{'MEM_NAM_EN' | translate}}</td>
                                <td width="12.5%">Email</td>
                                <td width="12.5%">{{'TITLE_LBL' | translate}}</td>
                                <td width="12.5%">{{'TYP_OF_APNMNT' | translate}}</td>
                                <td width="12.5%">{{'APNMNT_AUTH' | translate}}</td>
                                <td width="12.5%" data-ng-if="userIsSecurityCoordinator">Status</td>
                                <td width="12.5%">Actions</td>
                            </tr>
                        </thead>
                        <tbody>
                            <tr data-ng-repeat="row in finalListOfMembers">
                                <td>
                                    {{row.nameEN}}
                                </td>
                                <td>
                                    {{row.nameAR}}
                                </td>
                                <td>
                                    {{row.EmailAddress}}
                                </td>
                                <td>
                                    {{row.title}}
                                </td>
                                <td>
                                    {{row.typeOfAppointment}}
                                </td>
                                <td>
                                    {{row.appointmentAuthority}}
                                </td>
                                <td class="text-center">
                                    <i style="padding-right:5px;" class="glyphicon glyphicon-pencil fa-2x pointer" data-toggle="modal" data-target="#documentModal" data-ng-click="editRow($index, row)"></i>
                                    <i class="glyphicon glyphicon-remove-sign fa-2x pointer" data-ng-click="deleteRow($index, row)"></i>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <!--wrapper-wrap end -->
    <div class="clear"></div>
    <!-- Modal -->
    <div class="modal fade upload-Document-model" id="documentModal" role="dialog">
        <div class="modal-dialog modalDialogPosition-addMembers modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h3 data-ng-if="dontShow"> Select Members </h3>
                    <h3 data-ng-if="!dontShow && !editClicked"> Add Adhoc Member </h3>
                    <h3 data-ng-if="!dontShow && editClicked"> Update Member </h3>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <!--wrapper-wrap start -->
                    <form name="structureForm">
                        <div class="wrapper-wrap review-submitted-doc">
                            <div data-ng-if="dontShow" class="row text-center">
                                <div class="col-sm-2 searchMemberLabel">
                                    <label>{{'SRCH_MEMBR' | translate}}</label>
                                </div>
                                <div class="col-sm-3 searchMemberText">
                                    <input type="text" name="searchText" class="form-control form-input-new" data-ng-model="searchData.searchText"></input>
                                </div>
                                <div class="col-sm-3 newMemberbutton">
                                    <button type="button" data-ng-click=showAdhocMember(); class="btn btn-info add-row" data-dismiss="modal" data-toggle="modal" data-target="#addAdhoc">{{'ADD_AD_HOC_MEM' | translate}}</button>
                                </div>
                            </div>
                            <div class="row text-center" style="margin-top: 15px;">
                                <div data-ng-if="dontShow" class="col-sm-12 table-responsive" style="max-height: 300px;">
                                    <table class="table table-red table-bordered">
                                        <thead>
                                            <tr>
                                                <td width="10%">Select</td>
                                                <td width="30%">{{'NAM_EN' | translate}}</td>
                                                <td width="30%">{{'NAM_AR' | translate}}</td>
                                                <td width="30%">{{'EMAIL' | translate}}</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr data-ng-repeat="record in members | filter:filterByMemberName">
                                                <td class="text-center">
                                                    <input data-ng-disabled="record.disableCheckbox" type="checkbox" data-ng-click="memberSelected(record)" data-ng-model="record.selectedMember" aria-label="select member">
                                                </td>
                                                <td class="text-center">{{record.nameEN}}</td>
                                                <td class="text-center">{{record.nameAR}}</td>
                                                <td class="text-center">{{record.EmailAddress}}</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <div class="col-sm-12" data-ng-if="!dontShow">
                                    <!-- <div class="alert alert-danger" style="text-align: left;" data-ng-if="warningText" role="alert">
                                      <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                                      <span class="sr-only">Error:</span>
                                      Please fill in your personal details in the profile section.
                                    </div> -->
                                    <form class="form-horizontal" role="form" name="searchForm" data-ng-submit="filterData()">
                                        <fieldset>
                                            <div class="col-sm-12 paddingtb20">
                                                <div class="col-sm-4" data-ng-if="editClicked">
                                                    <div class="form-group str-bod-comm-form-wrap">
                                                        <label class="alignLabel">Title<span class="mandatory">*</span></label>
                                                    </div>
                                                </div>
                                                <div class="col-sm-8" data-ng-if="editClicked">
                                                    <div class="form-group str-bod-comm-form-wrap">
                                                        <select name="title" data-ng-model="memberInfoData.title" required data-ng-class="{'error': createRequest.title.$invalid}" class="form-control form-input" data-ng-change="getSelectedValueCommitte(memberInfoData.title)">
                                                            <option value="">{{'SELECT' | translate}}
                                                            </option>
                                                            <option value="Chair">{{'CHAIR' | translate}}</option>
                                                            <option value="First vice chair">{{'FIRST_VICE_CHAIR' | translate}}
                                                            </option>
                                                            <option value="Second vice chair">{{'SECOND_VICE_CHAIR' | translate}}</option>
                                                            <option value="Member">{{'MEMBER' | translate}}</option>
                                                            <option value="Rapporteur">{{'RAPPORTEUR' | translate}}</option>
                                                            <option value="Board secretary">{{'BOARD_SEC' | translate}}</option>
                                                            <option value="Other">{{'OTHR' | translate}}</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-sm-12 paddingtb20">
                                                <div class="col-sm-4">
                                                    <div class="form-group str-bod-comm-form-wrap">
                                                        <label class="alignLabel">{{'APNMNT_AUTH' | translate}}<span class="mandatory">*</span></label>
                                                    </div>
                                                </div>
                                                <div class="col-sm-8">
                                                    <div class="form-group str-bod-comm-form-wrap">
                                                        <select name="appointmentAuthority" required data-ng-class="{'error': createRequest.appointmentAuthority.$invalid}" data-ng-model="memberInfoData.appointmentAuthority" class="form-control form-input">
                                                            <option value="">{{'SELECT' | translate}}</option>
                                                            <option value="H.H. The ruler of Dubai">{{'HH_RULER_OF_DUBAI' | translate}}</option>
                                                            <option value="Award sponsor">{{'AWRD_SPONSR' | translate}}</option>
                                                            <option value="H.H.  chairman of The Executive Council">
                                                                {{'HH_CHAIR_EXE_COUNCL' | translate}}</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-sm-12 paddingtb20" data-ng-if="editClicked">
                                                <div class="col-sm-4">
                                                    <div class="form-group str-bod-comm-form-wrap">
                                                        <label class="alignLabel">{{'TYP_OF_APNMNT' | translate}}<span class="mandatory">*</span></label>
                                                    </div>
                                                </div>
                                                <div class="col-sm-8">
                                                    <div class="form-group str-bod-comm-form-wrap">
                                                        <select name="typeOfAppointment" data-ng-model="memberInfoData.typeOfAppointment" required data-ng-class="{'error': createRequest.typeOfAppointment.$invalid}" class="form-control form-input">
                                                            <option value="">{{'SELECT' | translate}}
                                                            </option>
                                                            <option value="Ex-officio (Representational)">{{'EX_OFC_REPRE' | translate}}</option>
                                                            <option value="Personal">{{'PERSNL' | translate}}</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-sm-12" style="margin-top: 50px;">
                                                <div class="col-sm-5 pull-right">
                                                    <button type="button" data-ng-if="!dontShow && !editClicked" data-ng-click=showAdhocMember(); class="btn btn-danger" data-dismiss="modal">Cancel</button>
                                                    <button type="button" data-ng-if="!dontShow && !editClicked" class="btn btn-primary" data-dismiss="modal" data-ng-click="saveAdhocMember()">Save Member</button>
                                                    <button type="button" data-ng-if="!dontShow && editClicked" class="btn btn-danger" data-ng-click="cancelUpdateMember($index, record)" data-dismiss="modal">Cancel</button>
                                                    <button type="button" data-ng-if="!dontShow && editClicked" data-ng-click="updateMember(record)" class="btn btn-primary" data-dismiss="modal">Save Member</button>
                                                </div>
                                            </div>
                                        </fieldset>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </form>
                    <!--wrapper-wrap end -->
                    <div class="clear"></div>
                </div>
                <div class="modal-footer" data-ng-if="dontShow">
                    <button type="button" data-ng-disabled="disableButton" class="btn btn-danger" data-ng-click="showTable()" data-dismiss="modal"> {{ "CLOSE" | translate }}</button>
                    <button type="button" data-ng-disabled="membersOfBoard.length == 0" class="btn btn-primary" data-dismiss="modal" data-toggle="modal" data-target="#saveAdhocMemberInfo"> {{'NEXT' | translate}} </button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade upload-Document-model" id="saveAdhocMemberInfo" role="dialog">
        <div class="modal-dialog modalDialogPosition-addMembers modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h3> Add Members </h3>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <!--wrapper-wrap start -->
                    <div class="col-sm-12">
                        <form class="pre-scrollable" class="form-horizontal" role="form" name="searchForm" data-ng-submit="filterData()">
                            <fieldset ng-repeat="row in membersOfBoard">
                                <div class="col-sm-12">
                                    <div class="col-sm-5 col-sm-offset-1 nextModalTitle">
                                        <label>{{row.nameEN}}</label>
                                    </div>
                                </div>
                                <div class="col-sm-12">
                                    <div class="col-sm-5 col-sm-offset-1">
                                        <div class="form-group">
                                            <label class="alignLabel">{{'TITLE_LBL' | translate}}<span class="mandatory">*</span></label>
                                            <select name="titleForExtraInfo" required="required" data-ng-class="{'error': createRequest.titleForExtraInfo.$invalid}" data-ng-model="row.title" class="form-control form-input" data-ng-change="getSelectedValueCommitte(row.title)">
                                                <option value="">{{'SELECT' | translate}}</option>
                                                <option value="Chair">{{'CHAIR' | translate}}</option>
                                                <option value="First vice chair">{{'FIRST_VICE_CHAIR' | translate}}
                                                </option>
                                                <option value="Second vice chair">{{'SECOND_VICE_CHAIR' | translate}}</option>
                                                <option value="Member">{{'MEMBER' | translate}}</option>
                                                <option value="Rapporteur">{{'RAPPORTEUR' | translate}}</option>
                                                <option value="Board secretary">{{'BOARD_SEC' | translate}}</option>
                                                <option value="Other">{{'OTHR' | translate}}</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-sm-5 col-sm-offset-1">
                                        <div class="form-group">
                                            <label class="alignLabel">{{'TYP_OF_APNMNT' | translate}}<span class="mandatory">*</span></label>
                                            <select name="typeOfAppointmentForExtraInfo" required data-ng-class="{'error': createRequest.typeOfAppointmentForExtraInfo.$invalid}" data-ng-model="row.typeOfAppointment" class="form-control form-input">
                                                <option value="">{{'SELECT' | translate}}</option>
                                                <option value="Ex-officio (Representational)">{{'EX_OFC_REPRE' | translate}}</option>
                                                <option value="Personal">{{'PERSNL' | translate}}</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-12" style="margin-bottom: 20px;">
                                    <div class="col-sm-5 col-sm-offset-1" style="margin-top: 15px;">
                                        <div class="form-group">
                                            <label class="alignLabel">{{'APNMNT_AUTH' | translate}}<span class="mandatory">*</span></label>
                                            <select name="appointmentAuthorityForExtraInfo" data-ng-model="row.appointmentAuthority" required data-ng-class="{'error': createRequest.appointmentAuthorityForExtraInfo.$invalid}" class="form-control form-input">
                                                <option value="">{{'SELECT' | translate}}</option>
                                                <option value="H.H. The ruler of Dubai">{{'HH_RULER_OF_DUBAI' | translate}}</option>
                                                <option value="Award sponsor">{{'AWRD_SPONSR' | translate}}</option>
                                                <option value="H.H.  chairman of The Executive Council">
                                                    {{'HH_CHAIR_EXE_COUNCL' | translate}}</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <hr class="hrTag">
                            </fieldset>
                        </form>
                    </div>
                    <!--wrapper-wrap end -->
                    <div class="clear"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" data-dismiss="modal"> {{ "CLOSE" | translate }}</button>
                    <button type="button" class="btn btn-primary" data-dismiss="modal" data-ng-click="sendAdhocMembersToForm()" data-ng-disabled="createRequest.titleForExtraInfo.$error.required || createRequest.typeOfAppointmentForExtraInfo.$error.required || createRequest.appointmentAuthorityForExtraInfo.$error.required"> {{ "SAVE" | translate }} </button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade upload-Document-model" id="addAdhoc" role="dialog">
        <div class="modal-dialog modalDialogPosition-addMembers modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h3> Add Adhoc Member </h3>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <!--wrapper-wrap start -->
                    <div class="col-sm-12">
                        <!-- <div class="alert alert-danger" style="text-align: left;" data-ng-if="warningText" role="alert">
                                      <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                                      <span class="sr-only">Error:</span>
                                      Please fill in your personal details in the profile section.
                                    </div> -->
                        <form class="form-horizontal" role="form" name="searchForm" data-ng-submit="filterData()">
                            <fieldset>
                                <div class="col-sm-12 paddingtb20">
                                    <div class="col-sm-4">
                                        <div class="form-group str-bod-comm-form-wrap">
                                            <label class="alignLabel">{{'MEM_NAM_EN' | translate}}<span class="mandatory">*</span></label>
                                        </div>
                                    </div>
                                    <div class="col-sm-8">
                                        <div class="form-group str-bod-comm-form-wrap">
                                            <input type="text" class="inputStyle" name="memberENAdhoc" data-ng-model="memberInfoData.nameEN"></input>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-12 paddingtb20">
                                    <div class="col-sm-4">
                                        <div class="form-group str-bod-comm-form-wrap">
                                            <label class="alignLabel">{{'MEM_NAM_AR' | translate}}<span class="mandatory">*</span></label>
                                        </div>
                                    </div>
                                    <div class="col-sm-8">
                                        <div class="form-group str-bod-comm-form-wrap">
                                            <input type="text" name="memberARAdhoc" class="inputStyle" data-ng-model="memberInfoData.nameAR"></input>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-12 paddingtb20">
                                    <div class="col-sm-4">
                                        <div class="form-group str-bod-comm-form-wrap">
                                            <label class="alignLabel">{{'EMAIL' | translate}}<span class="mandatory">*</span></label>
                                        </div>
                                    </div>
                                    <div class="col-sm-8">
                                        <div class="form-group str-bod-comm-form-wrap">
                                            <input type="text" name="memberEmailAdhoc" class="inputStyle" data-ng-model="memberInfoData.emailAddress"></input>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-12 paddingtb20">
                                    <div class="col-sm-4">
                                        <div class="form-group str-bod-comm-form-wrap">
                                            <label class="alignLabel">{{ "TRM_STRT_DAT" | translate }}<span class="mandatory">*</span></label>
                                        </div>
                                    </div>
                                    <div class="col-sm-8">
                                        <div class="form-group str-bod-comm-form-wrap">
                                            <input type="date" name="termStartDate" class="inputStyle" data-ng-model="memberInfoData.termStartDate"></input>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-12 paddingtb20">
                                    <div class="col-sm-4">
                                        <div class="form-group str-bod-comm-form-wrap">
                                            <label class="alignLabel">{{ "TRM_END_DAT" | translate }}<span class="mandatory">*</span></label>
                                        </div>
                                    </div>
                                    <div class="col-sm-8">
                                        <div class="form-group str-bod-comm-form-wrap">
                                            <input type="date" name="termEndDate" class="inputStyle" data-ng-model="memberInfoData.termEndDate"></input>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-12" style="margin-top: 50px;">
                                    <div class="col-sm-5 pull-right">
                                        <button type="button" data-ng-disabled="memberInfoData.$invalid" data-ng-click=showAdhocMember(); class="btn btn-danger" data-dismiss="modal">Cancel</button>
                                        <button type="button" class="btn btn-primary" data-dismiss="modal" data-ng-click="saveAdhocMember()">Save Member</button>
                                    </div>
                                </div>
                            </fieldset>
                        </form>
                    </div>
                    <!--wrapper-wrap end -->
                    <div class="clear"></div>
                </div>
            </div>
        </div>
    </div>
</div>